netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
cmd_dbd.c File Reference
`#include <errno.h>`
`#include <limits.h>`
`#include <pwd.h>`
`#include <signal.h>`
`#include <stdarg.h>`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/errchk.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/util.h>`
`#include "cmd_dbd.h"`

## Functions
static void | sig_handler (int signo)
| SIGNAL handling.
static void | set_signal (void)
static void | usage (void)
void | dbd_log (enum logtype lt, const char *fmt,...)
int | main (int argc, char **argv)

## Variables
volatile sig_atomic_t | alarmed
static dbd_flags_t | flags

## Function Documentation

## ◆ dbd_log()

void dbd_log | ( | enum logtype | lt,
|  | const char * | fmt,
|  |  | ... )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ set_signal()

void set_signal | ( | void |  | ) |
| static

## ◆ sig_handler()

void sig_handler | ( | int | signo | ) |
| static

SIGNAL handling.

Note
  catch SIGINT and SIGTERM which cause clean exit. Ignore anything else.

## ◆ usage()

void usage | ( | void |  | ) |
| static

## Variable Documentation

## ◆ alarmed

volatile sig_atomic_t alarmed

flags for signals

## ◆ flags

dbd_flags_t flags
| static